From 65bab05b45b0dd3b5f5629861ec44c24201f28e2 Mon Sep 17 00:00:00 2001
From: Thomas Voss <mail@thomasvoss.com>
Date: Mon, 28 Aug 2023 00:42:22 +0300
Subject: wots: Add script to wrap to screen

---
 .local/bin/wtos | 7 +++++++
 1 file changed, 7 insertions(+)
 create mode 100755 .local/bin/wtos

(limited to '.local/bin/wtos')

diff --git a/.local/bin/wtos b/.local/bin/wtos
new file mode 100755
index 0000000..e3a6da2
--- /dev/null
+++ b/.local/bin/wtos
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+: ${COLUMNS:=`tput cols`}
+width=`dc -e "$COLUMNS 80 $COLUMNS 80 [r] sx >x p"`
+fold -sw $width
-- 
cgit v1.2.3